# BarcodeInfoMapping class

Configuration of the barcode data mapping.

## Constructors

BarcodeInfoMapping.new({BarcodeItemMapper? barcodeItemMapper, ScanbotColor? sheetColor, ScanbotColor? dividerColor, ScanbotColor? modalOverlayColor, StyledText? loadingMessage, BarcodeItemErrorState? errorState})
BarcodeInfoMapping.fromJson(Map<String, dynamic> json)
  factory

## Properties

barcodeItemMapper ↔ BarcodeItemMapper?
  Callback to map the barcode data to the data of the corresponding product.
  getter/setter pair
dividerColor ↔ ScanbotColor
  Color of the divider and separator lines in the barcode info dialog.
  getter/setter pair
errorState ↔ BarcodeItemErrorState
  Configuration of the error state displayed when processing a barcode fails.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
loadingMessage ↔ StyledText
  Text being displayed while a barcode is being mapped.
  getter/setter pair
modalOverlayColor ↔ ScanbotColor
  Background color of the overlay surrounding the barcode mapping error dialog.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
sheetColor ↔ ScanbotColor
  Background color of the barcode info dialog.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited